import 'package:flutter/material.dart';

abstract interface class GeneralStyle {
  
  Color get primaryTextLabelColor;
  Color get secondaryTextLabelColor;

  Color get primaryButtonBackgroundColor;
  Color get primaryButtonTextColor;

  Color get secondaryWidgetBackgroundColor;

  Color get pageBackgroundColor;

  Color get errorColor;

  String get fontFamily;
}

class GeneralStyleImpl implements GeneralStyle {
  @override
  Color get primaryTextLabelColor => const Color(0xFF0045FF);

  @override
  Color get secondaryTextLabelColor => const Color(0xFF2F2F2F);

  @override
  Color get primaryButtonBackgroundColor => const Color(0xFF0045FF);
  
  @override
  Color get secondaryWidgetBackgroundColor => const Color(0xFF001689);

  @override
  Color get primaryButtonTextColor => Colors.white;
  
  @override
  Color get pageBackgroundColor => const Color(0xFFF5F5F5);

  @override
  Color get errorColor => const Color(0xFFFF0000);

  @override
  String get fontFamily => 'Panton';
}
